Subject: Re: linux-next: mtd tree build failure

From: Mike Rapoport <[email-masked]>
Date: Mon, 20 Oct 2008 10:33:59 +0200

David Woodhouse wrote:
> On Mon, 2008-10-20 at 16:35 +1100, Stephen Rothwell wrote:
>> Caused by commit aaf7ea20000436df3cbb397ccb734ad1e2e5164d ("[MTD]
>> [NAND] GPIO NAND flash driver").  I assume this needs to depend on
>> some architecture/platform so I reverted it for now.
> 
> Hm, indeed. I thought it _did_ depend on ARM -- did I apply the wrong
> version of the patch?
> 

You applied the correct version of the patch. It did depend on ARM at the
beginning, but after discussion it was decided to make it generic so that other
architecture would be able to use it. I just haven't thought that readsw/writesw
might be not available on all architectures.

-- 
Sincerely yours,
Mike.